
Auto Multiple Choice - Bug # 565: Compiling documents fails: Encoding Pragma is no longer 
supported

Status: Closed Priority: High
Author: Manuel Sch Category:
Created: 05/23/2018 Assignee:
Updated: 04/30/2020 Due date:
Description: The compilation does not work anymore. I am on ArchLinux. The error message is as follows:

<pre>
 $ auto-multiple-choice       # then clicking on compilation in the GUI 
 The encoding pragma is no longer supported at /usr/lib/AMC/perl/AMC-prepare.pl line 21.
 BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-prepare.pl line 21.
</pre>

Can be fixed by changing the appropriate lines in the code:
<pre>
sudo sed -i 's/use encoding "utf-8";/use utf8;/' /usr/lib/AMC/perl/*.pl
sudo sed -i "s/use encoding 'utf8'/use utf8/g" /usr/share/perl5/vendor_perl/AMC/*.pm
</pre>

This replaces the calls `use encoding "utf-8"` with `use utf8`. The changes should to be integrated in ACM 
soon, s.t. users without knowledge of the command line can still use ACM. I am unsure which files to change 
though.

History
05/23/2018 07:33 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Thanks for the report. These changes were applied in git:43eadf65. Maybe you can switch to the development version (or 1.4.0~beta1).

05/29/2018 02:42 pm - Manuel Sch
Alexis Bienvenüe wrote:
> Thanks for the report. These changes were applied in git:43eadf65. Maybe you can switch to the development version (or 1.4.0~beta1).

Hi Alexis, thanks for the answer. I cannot get the git version of AMC compiled because of docbook.sty not being found. I do have dblatex installed which 
includes docbook.sty (https://www.archlinux.org/packages/community/any/dblatex/files/). I am on ArchLinux. Am I missing something here? 

<pre>
$ make
...
(/usr/share/texmf-dist/tex/latex/cmap/cmap.sty

Package cmap Warning: pdftex not detected - exiting.

) (./amcdocstyle.sty

! LaTeX Error: File `docbook.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)

Enter file name: 
! Emergency stop.
<read *> 
         
l.23 \RequirePackage
                    [USenglish]{isodate}^^M
No pages of output.
Transcript written on auto-multiple-choice.fr.log.
make[1]: *** [Makefile:71: auto-multiple-choice.fr.pdf] Error 1
rm img_pdf/warning.pdf img_pdf/note.pdf img_pdf/important.pdf auto-multiple-choice.fr.tex
make[1]: Leaving directory '/home/schnecki/Documents/teaching/klausur/auto-multiple-choice/doc'
make: *** [Makefile:157: doc] Error 2

</pre>

05/31/2018 12:01 pm - Alexis Bienvenüe
Maybe you can start from a "dist" archive, where the documentation is already generated: this should be less tricky.
Latest version (from the "tags page":https://gitlab.com/jojo_boulix/auto-multiple-choice/tags): 
https://gitlab.com/jojo_boulix/auto-multiple-choice/uploads/752bcd6a19915b66683330840e7e627b/auto-multiple-choice_1.4.0-beta2_dist.tar.gz

06/05/2018 03:42 pm - Manuel Sch
Ok this seems to work. However, the data capture does not working. All boxes are ticked when I automatically added photocopies. When I look at the 
scan manually I can switch between scan and original. In the original every box is ticked, while when I look at the scan then I see the correct 
photocopied sheet by the student. Of course I checked the layout, and there the boxes were correctly detected. 

Might this have anything to do with the compilation (which takes just a second or so)?

06/05/2018 06:00 pm - Alexis Bienvenüe
What can you see in the "zooms" window?
What is the value of _Preferences/Project/Automatic data capture/Darkness threshold_?

06/06/2018 09:57 am - Manuel Sch
Alexis Bienvenüe wrote:
> What can you see in the "zooms" window?

There are no boxes. Its just grey (background color). So the boxes weren't found and extracted in the analyzing process, I guess.

> What is the value of _Preferences/Project/Automatic data capture/Darkness threshold_?

The threshold is 0.15. Upper threshold 0.75.

Btw, the about page sys it's AMC 1.3.0, whereas I used the 1.4.0 beta download. That's just not updated yet, right?

06/06/2018 10:04 am - Alexis Bienvenüe
> Btw, the about page says it's AMC 1.3.0, whereas I used the 1.4.0 beta download. That's just not updated yet, right?
The about page should mention the right version.
Did the install work properly after the build?
06/06/2018 10:29 am - Manuel Sch
Alexis Bienvenüe wrote:
> > Btw, the about page says it's AMC 1.3.0, whereas I used the 1.4.0 beta download. That's just not updated yet, right?
> The about page should mention the right version.
> Did the install work properly after the build?

Ah I started the "binary" in the folder with ./auto-multiple-choice. Just figured this is not a binary but rather a script :) After installing I got 

<pre>
Can't locate Gtk3.pm in @INC (you may need to install the Gtk3 module) (@INC contains: /usr/lib/perl5/5.26/site_perl /usr/share/perl5/site_perl 
/usr/lib/perl5/5.26/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/5.26/core_perl /usr/share/perl5/core_perl) at /usr/lib/AMC/perl/AMC-gui.pl line 
23.
BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-gui.pl line 23.
</pre>

Meaning I missed the library _perl-gtk3_. It seems to work now.

Nice interface, and thank you very much.

Manuel

06/06/2018 01:42 pm - Manuel Sch
P.S.: And perl-clone

04/30/2020 01:48 pm - Manuel Sch
PPS.: one can compile it by ignoring the documentation build. Just edit the file `doc/Makefile` by changing the `all:` directive to:

<pre>
# all: $(SELECTED_DOCBOOKS:.xml=.pdf) $(SELECTED_DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz) html/index.html;
all:
</pre> 
